# Automatically generated module linking rules
#
# Creation time: Sat Jun 12 16:54:09 BST 2004

src/bbs.o: src/bbs/config.o src/bbs/envwipe.o src/bbs/external.o src/bbs/help.o src/bbs/hook.o src/bbs/issysop.o src/bbs/loadconf.o src/bbs/main.o src/bbs/menu.o src/bbs/status.o src/bbs/udb.o src/bbs/userson.o  src/bbs/examine.o src/bbs/hooks.o src/bbs/u2u.o 
	$(LD) $(LDFLAGS) -o $@ src/bbs/config.o src/bbs/envwipe.o src/bbs/external.o src/bbs/help.o src/bbs/hook.o src/bbs/issysop.o src/bbs/loadconf.o src/bbs/main.o src/bbs/menu.o src/bbs/status.o src/bbs/udb.o src/bbs/userson.o  src/bbs/examine.o src/bbs/hooks.o src/bbs/u2u.o 

src/bbs/examine.o: src/bbs/examine/create.o src/bbs/examine/disconnect.o src/bbs/examine/display.o src/bbs/examine/edit.o src/bbs/examine/password.o src/bbs/examine/privcheck.o src/bbs/examine/remove.o src/bbs/examine/send.o src/bbs/examine/udb.o  
	$(LD) $(LDFLAGS) -o $@ src/bbs/examine/create.o src/bbs/examine/disconnect.o src/bbs/examine/display.o src/bbs/examine/edit.o src/bbs/examine/password.o src/bbs/examine/privcheck.o src/bbs/examine/remove.o src/bbs/examine/send.o src/bbs/examine/udb.o  

src/bbs/hooks.o: src/bbs/hooks/acl.o src/bbs/hooks/action.o src/bbs/hooks/ban.o src/bbs/hooks/email.o src/bbs/hooks/guest.o src/bbs/hooks/key.o src/bbs/hooks/location.o src/bbs/hooks/menu.o src/bbs/hooks/misclog.o src/bbs/hooks/privs.o src/bbs/hooks/syslog.o src/bbs/hooks/userlist.o src/bbs/hooks/vet.o src/bbs/hooks/xrated.o  
	$(LD) $(LDFLAGS) -o $@ src/bbs/hooks/acl.o src/bbs/hooks/action.o src/bbs/hooks/ban.o src/bbs/hooks/email.o src/bbs/hooks/guest.o src/bbs/hooks/key.o src/bbs/hooks/location.o src/bbs/hooks/menu.o src/bbs/hooks/misclog.o src/bbs/hooks/privs.o src/bbs/hooks/syslog.o src/bbs/hooks/userlist.o src/bbs/hooks/vet.o src/bbs/hooks/xrated.o  

src/bbs/u2u.o: src/bbs/u2u/check.o src/bbs/u2u/compose.o src/bbs/u2u/deliver.o src/bbs/u2u/file.o src/bbs/u2u/forward.o  
	$(LD) $(LDFLAGS) -o $@ src/bbs/u2u/check.o src/bbs/u2u/compose.o src/bbs/u2u/deliver.o src/bbs/u2u/file.o src/bbs/u2u/forward.o  

src/ldb.o: src/ldb/cache.o src/ldb/filename.o src/ldb/find.o src/ldb/init.o src/ldb/read.o src/ldb/write.o  
	$(LD) $(LDFLAGS) -o $@ src/ldb/cache.o src/ldb/filename.o src/ldb/find.o src/ldb/init.o src/ldb/read.o src/ldb/write.o  

src/converter.o: src/converter/file.o src/converter/help.o src/converter/info.o src/converter/main.o src/converter/menu.o src/converter/process.o src/converter/stream.o  src/converter/ansi.o src/converter/convert.o src/converter/vt100.o 
	$(LD) $(LDFLAGS) -o $@ src/converter/file.o src/converter/help.o src/converter/info.o src/converter/main.o src/converter/menu.o src/converter/process.o src/converter/stream.o  src/converter/ansi.o src/converter/convert.o src/converter/vt100.o 

src/converter/ansi.o: src/converter/ansi/ansi.o src/converter/ansi/callback.o src/converter/ansi/checkline.o src/converter/ansi/goto.o src/converter/ansi/linefeed.o src/converter/ansi/monoify.o src/converter/ansi/xtitle.o  
	$(LD) $(LDFLAGS) -o $@ src/converter/ansi/ansi.o src/converter/ansi/callback.o src/converter/ansi/checkline.o src/converter/ansi/goto.o src/converter/ansi/linefeed.o src/converter/ansi/monoify.o src/converter/ansi/xtitle.o  

src/converter/convert.o: src/converter/convert/html.o src/converter/convert/strhtml.o src/converter/convert/strip.o src/converter/convert/text.o  
	$(LD) $(LDFLAGS) -o $@ src/converter/convert/html.o src/converter/convert/strhtml.o src/converter/convert/strip.o src/converter/convert/text.o  

src/converter/vt100.o: src/converter/vt100/action.o src/converter/vt100/alloc.o src/converter/vt100/ansify.o src/converter/vt100/callback.o src/converter/vt100/do.o src/converter/vt100/extract.o src/converter/vt100/guts.o src/converter/vt100/interpret.o src/converter/vt100/pending.o src/converter/vt100/readbuf.o src/converter/vt100/size.o src/converter/vt100/wipe.o  
	$(LD) $(LDFLAGS) -o $@ src/converter/vt100/action.o src/converter/vt100/alloc.o src/converter/vt100/ansify.o src/converter/vt100/callback.o src/converter/vt100/do.o src/converter/vt100/extract.o src/converter/vt100/guts.o src/converter/vt100/interpret.o src/converter/vt100/pending.o src/converter/vt100/readbuf.o src/converter/vt100/size.o src/converter/vt100/wipe.o  

src/display.o: src/display/editfile.o  src/display/editor.o src/display/file.o src/display/menu.o src/display/terminal.o 
	$(LD) $(LDFLAGS) -o $@ src/display/editfile.o  src/display/editor.o src/display/file.o src/display/menu.o src/display/terminal.o 

src/display/editor.o: src/display/editor/buffer.o src/display/editor/display.o src/display/editor/file.o src/display/editor/insdel.o src/display/editor/main.o src/display/editor/move.o src/display/editor/options.o src/display/editor/wrap.o  
	$(LD) $(LDFLAGS) -o $@ src/display/editor/buffer.o src/display/editor/display.o src/display/editor/file.o src/display/editor/insdel.o src/display/editor/main.o src/display/editor/move.o src/display/editor/options.o src/display/editor/wrap.o  

src/display/file.o: src/display/file/curline.o src/display/file/display.o src/display/file/editscan.o src/display/file/help.o src/display/file/keys.o src/display/file/linepos.o src/display/file/lock.o src/display/file/readline.o src/display/file/zip.o  src/display/file/actions.o 
	$(LD) $(LDFLAGS) -o $@ src/display/file/curline.o src/display/file/display.o src/display/file/editscan.o src/display/file/help.o src/display/file/keys.o src/display/file/linepos.o src/display/file/lock.o src/display/file/readline.o src/display/file/zip.o  src/display/file/actions.o 

src/display/file/actions.o: src/display/file/actions/add.o src/display/file/actions/copy.o src/display/file/actions/delete.o src/display/file/actions/edit.o src/display/file/actions/index.o src/display/file/actions/mail.o src/display/file/actions/move.o src/display/file/actions/search.o src/display/file/actions/skipedit.o  
	$(LD) $(LDFLAGS) -o $@ src/display/file/actions/add.o src/display/file/actions/copy.o src/display/file/actions/delete.o src/display/file/actions/edit.o src/display/file/actions/index.o src/display/file/actions/mail.o src/display/file/actions/move.o src/display/file/actions/search.o src/display/file/actions/skipedit.o  

src/display/menu.o: src/display/menu/catchup.o src/display/menu/display.o src/display/menu/help.o src/display/menu/keys.o src/display/menu/listed.o src/display/menu/load.o src/display/menu/readfile.o src/display/menu/scan.o src/display/menu/setsubs.o  src/display/menu/actions.o 
	$(LD) $(LDFLAGS) -o $@ src/display/menu/catchup.o src/display/menu/display.o src/display/menu/help.o src/display/menu/keys.o src/display/menu/listed.o src/display/menu/load.o src/display/menu/readfile.o src/display/menu/scan.o src/display/menu/setsubs.o  src/display/menu/actions.o 

src/display/menu/actions.o: src/display/menu/actions/action.o src/display/menu/actions/anim.o src/display/menu/actions/edit.o src/display/menu/actions/execute.o src/display/menu/actions/listed.o src/display/menu/actions/read.o src/display/menu/actions/shell.o src/display/menu/actions/spool.o src/display/menu/actions/system.o src/display/menu/actions/telnet.o  
	$(LD) $(LDFLAGS) -o $@ src/display/menu/actions/action.o src/display/menu/actions/anim.o src/display/menu/actions/edit.o src/display/menu/actions/execute.o src/display/menu/actions/listed.o src/display/menu/actions/read.o src/display/menu/actions/shell.o src/display/menu/actions/spool.o src/display/menu/actions/system.o src/display/menu/actions/telnet.o  

src/display/terminal.o: src/display/terminal/bored.o src/display/terminal/centre.o src/display/terminal/getch.o src/display/terminal/input.o src/display/terminal/lineout.o src/display/terminal/resize.o src/display/terminal/terminal.o src/display/terminal/write.o  
	$(LD) $(LDFLAGS) -o $@ src/display/terminal/bored.o src/display/terminal/centre.o src/display/terminal/getch.o src/display/terminal/input.o src/display/terminal/lineout.o src/display/terminal/resize.o src/display/terminal/terminal.o src/display/terminal/write.o  

src/getopt.o: src/getopt/getopt.o src/getopt/getopt1.o  
	$(LD) $(LDFLAGS) -o $@ src/getopt/getopt.o src/getopt/getopt1.o  

src/menu.o: src/menu/commands.o src/menu/envexp.o src/menu/free.o src/menu/if.o src/menu/load.o src/menu/parse.o src/menu/status.o  
	$(LD) $(LDFLAGS) -o $@ src/menu/commands.o src/menu/envexp.o src/menu/free.o src/menu/if.o src/menu/load.o src/menu/parse.o src/menu/status.o  

src/mstring.o: src/mstring/backspace.o src/mstring/delete.o src/mstring/hextol.o src/mstring/index.o src/mstring/insert.o src/mstring/length.o src/mstring/nexttrib.o src/mstring/since.o src/mstring/stripattr.o src/mstring/strncat.o src/mstring/tagexpand.o src/mstring/toansi.o src/mstring/tribval.o  
	$(LD) $(LDFLAGS) -o $@ src/mstring/backspace.o src/mstring/delete.o src/mstring/hextol.o src/mstring/index.o src/mstring/insert.o src/mstring/length.o src/mstring/nexttrib.o src/mstring/since.o src/mstring/stripattr.o src/mstring/strncat.o src/mstring/tagexpand.o src/mstring/toansi.o src/mstring/tribval.o  

src/viewer.o: src/viewer/file.o src/viewer/help.o src/viewer/main.o src/viewer/menu.o src/viewer/purge.o src/viewer/listed.o  
	$(LD) $(LDFLAGS) -o $@ src/viewer/file.o src/viewer/help.o src/viewer/main.o src/viewer/menu.o src/viewer/purge.o src/viewer/listed.o  


